Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358420 - KSystemTimeZones: ktimezoned initialize() D-Bus call failed: "No such object path '/modules/ktimezoned'"
Summary: KSystemTimeZones: ktimezoned initialize() D-Bus call failed: "No such object...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kdepim
Version: 24
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-20 15:59 UTC by JP Jung
Modified: 2017-08-08 15:44 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:44:25 UTC


Attachments (Terms of Use)
KDE System Settings screen shot (deleted)
2016-07-20 17:11 UTC, JP Jung
no flags Details

Description JP Jung 2016-07-20 15:59:24 UTC
Description of problem:
Time zone support is missing in Korganizer / Kalarm since upgrading to F23 from F23. Starting kalarm from command line provides:

$ kalarm
log_kidentitymanagement: IdentityManager: There was no default identity. Marking first one as default.
KSystemTimeZones: ktimezoned initialize() D-Bus call failed:  "No such object path '/modules/ktimezoned'" 

No time zone information obtained from ktimezoned
Couldn't start kuiserver from org.kde.kuiserver.service: QDBusError("org.freedesktop.DBus.Error.ServiceUnknown", "The name org.kde.kuiserver was not provided by any .service files")
akonadicore_log: not referenced  47
akonadicore_log: not referenced  48
Shortcut for action  "newDisplay" "New Display Alarm" set with QAction::setShortcut()! Use KActionCollection::setDefaultShortcut(s) instead.
Shortcut for action  "newCommand" "New Command Alarm" set with QAction::setShortcut()! Use KActionCollection::setDefaultShortcut(s) instead.
Shortcut for action  "newEmail" "New Email Alarm" set with QAction::setShortcut()! Use KActionCollection::setDefaultShortcut(s) instead.
Shortcut for action  "newAudio" "New Audio Alarm" set with QAction::setShortcut()! Use KActionCollection::setDefaultShortcut(s) instead.
Shortcut for action  "edit_undo" "&Undo" set with QAction::setShortcut()! Use KActionCollection::setDefaultShortcut(s) instead.
Shortcut for action  "edit_redo" "Re&do" set with QAction::setShortcut()! Use KActionCollection::setDefaultShortcut(s) instead.
QSystemTrayIcon::setVisible: No Icon set

In korganizer all my events are present but off by 4 hours as UTC time is used but events are all EST time, I am facing the same issue as in kalarm.

This was working perfectly in F23, timezone support was proper in korginizer / kalarm.

I had a base F23 Gnome, installed only korganizer package & dependancies, not a full KDE desktop support. Upgrading to F24 broke timezone support in these 2 KDE applications.

Version-Release number of selected component (if applicable):
kalarm 2.11.7-5ak
KDE Frameworks 5.23.0
Qt 5.6.1 (built against 5.6.0)

How reproducible:
Start kalarm from command line, see the error message, get a pop up error that time zone support is missing.

Steps to Reproduce:
1.Run kalarm from command line
2.
3.

Actual results:
kalarm starts with an error message:

Time zones are not accessible: KAlarm will use the UTC time zone.
(The KDE time zone service is not available: check that ktimezoned is installed.)


Time is off by 4 hours compared to EST, using UTC


Expected results:
Timezone is honoured and the time is proper EST time.


Additional info:

Comment 1 Rex Dieter 2016-07-20 16:19:41 UTC
rpm -q kalarm korganizer
please.

Comment 2 JP Jung 2016-07-20 16:34:12 UTC
$ rpm -q kalarm korganizer
kalarm-16.04.3-1.fc24.x86_64
korganizer-16.04.3-1.fc24.x86_64

Thank you.

Comment 3 Rex Dieter 2016-07-20 16:44:48 UTC
Thanks, and next, please try running systemsettings5:
Startup&Shutdown -> Background Services->Startup Services
and look for "Time Zone", what is listed under "Use" and "Running" columns?  It should be "checked", "Running" respectfully.

Comment 4 JP Jung 2016-07-20 17:11:15 UTC
Created attachment 1182185 [details]
KDE System Settings screen shot

Comment 5 JP Jung 2016-07-20 17:12:32 UTC
Hi,

Well, it was not installed:

systemsettings5
bash: systemsettings5: command not found...
Install package 'plasma-systemsettings' to provide command 'systemsettings5'? [N/y] y


 * Waiting in queue... 
 * Loading list of packages.... 
The following packages have to be installed:
 kde-cli-tools-5.6.5-1.fc24.x86_64	Tools based on KDE Frameworks 5 to better interact with the system
 kdesu-1:5.6.5-1.fc24.x86_64	Runs a program with elevated privileges
 kf5-kdesu-5.23.0-1.fc24.x86_64	KDE Frameworks 5 Tier 3 integration with su
 kf5-khtml-5.23.0-1.fc24.x86_64	KDE Frameworks 5 Tier 4 solution with KHTML, a HTML rendering engine
 kf5-kjs-5.23.0-1.fc24.x86_64	KDE Frameworks 5 Tier 3 functional module with JavaScript interpreter
 kf5-kpty-5.23.0-1.fc24.x86_64	KDE Frameworks 5 Tier 2 module providing Pty abstraction
 plasma-systemsettings-5.6.5-1.fc24.x86_64	KDE System Settings application
Proceed with changes? [N/y] y

Issue now, I have no Startup & Shutdown section in it. See the attached image. Likely missing more KDE components?

Thank you.

 * Waiting in queue... 
 * Waiting for authentication... 
 * Waiting in queue... 
 * Downloading packages... 
 * Requesting data... 
 * Testing changes... 
 * Installing packages... 

So now I have the KDE System Settings pannel, but it has no Startup/Shutdown section. I would think I miss packages that were not required in F23 and are now required in F24.

Thank you.

Comment 6 Rex Dieter 2016-07-20 17:24:25 UTC
OK, sorry, I had naively assumed you were using Plasma.

dnf install plasma-workspace

will likely fix things.  though that whole thing is probably a too heavy dependency to expect all users of korganizer to install, so I'll investigate more.

Comment 7 JP Jung 2016-07-20 17:30:59 UTC
No, I use Gnome but consider KOrginizer the best calendar application on Linux.

If I do that, it's not that bad:

Last metadata expiration check: 0:58:16 ago on Wed Jul 20 12:29:10 2016.
Dependencies resolved.
==================================================================================================================================
 Package                                      Arch                  Version                          Repository              Size
==================================================================================================================================
Installing:
 PackageKit-Qt5                               x86_64                0.9.5-6.fc24                     fedora                 101 k
 breeze-cursor-theme                          noarch                5.6.5-1.fc24                     updates                260 k
 cln                                          x86_64                1.3.4-4.fc24                     fedora                 517 k
 ebook-tools-libs                             x86_64                0.2.2-6.fc24                     fedora                  29 k
 f24-backgrounds-kde                          noarch                24.1.2-1.fc24                    fedora                  11 k
 f24-kde-theme                                noarch                24.5-1.fc24                      updates                2.4 M
 f24-kde-theme-core                           x86_64                5.6.5-2.fc24                     updates                101 k
 http-parser                                  x86_64                2.6.0-2.fc24                     fedora                  37 k
 kactivitymanagerd                            x86_64                5.6.5-1.fc24                     updates                209 k
 kde-settings-plasma                          noarch                24-7.fc24                        updates                 27 k
 kdecoration                                  x86_64                5.6.5-1.fc24                     updates                 64 k
 kf5-baloo                                    x86_64                5.23.0-1.fc24                    updates                172 k
 kf5-baloo-libs                               x86_64                5.23.0-1.fc24                    updates                214 k
 kf5-frameworkintegration                     x86_64                5.23.0-4.fc24                    updates                1.5 M
 kf5-frameworkintegration-libs                x86_64                5.23.0-4.fc24                    updates                 31 k
 kf5-kactivities-stats                        x86_64                5.23.0-1.fc24                    updates                 94 k
 kf5-kdnssd                                   x86_64                5.23.0-1.fc24                    updates                100 k
 kf5-kdoctools                                x86_64                5.23.0-1.fc24                    updates                578 k
 kf5-kfilemetadata                            x86_64                5.23.0-1.fc24                    updates                168 k
 kf5-kidletime                                x86_64                5.23.0-1.fc24                    updates                 47 k
 kf5-kjsembed                                 x86_64                5.23.0-1.fc24                    updates                452 k
 kf5-kpeople                                  x86_64                5.23.0-1.fc24                    updates                144 k
 kf5-ktexteditor                              x86_64                5.23.0-1.fc24                    updates                3.6 M
 kf5-kwayland                                 x86_64                5.23.0-1.fc24                    updates                290 k
 kf5-kxmlrpcclient                            x86_64                5.23.0-1.fc24                    updates                 53 k
 khotkeys                                     x86_64                5.6.5-1.fc24                     updates                730 k
 kio-extras                                   x86_64                16.04.2-1.fc24                   updates                545 k
 kmenuedit                                    x86_64                5.6.5-1.fc24                     updates                833 k
 kscreenlocker                                x86_64                5.6.5-1.fc24                     updates                200 k
 kwin                                         x86_64                5.6.5-1.fc24                     updates                 30 k
 kwin-common                                  x86_64                5.6.5-1.fc24                     updates                2.9 M
 kwin-libs                                    x86_64                5.6.5-1.fc24                     updates                1.4 M
 kwrited                                      x86_64                5.6.5-1.fc24                     updates                 32 k
 libXaw                                       x86_64                1.0.13-4.fc24                    fedora                 190 k
 libgit2                                      x86_64                0.24.1-1.fc24                    fedora                 434 k
 libkscreen-qt5                               x86_64                5.6.5-1.fc24                     updates                242 k
 libksysguard                                 x86_64                5.6.5-1.fc24                     updates                704 k
 libksysguard-common                          x86_64                5.6.5-1.fc24                     updates                 45 k
 libkworkspace5                               x86_64                5.6.5-2.fc24                     updates                 88 k
 libqalculate                                 x86_64                0.9.7-17.fc24                    fedora                 939 k
 libzip                                       x86_64                1.1.2-1.fc24                     fedora                  49 k
 lmdb-libs                                    x86_64                0.9.18-1.fc24                    fedora                  56 k
 oxygen-fonts                                 x86_64                5.4.3-2.fc24                     fedora                 9.0 k
 oxygen-fonts-common                          noarch                5.4.3-2.fc24                     fedora                  24 k
 oxygen-mono-fonts                            noarch                5.4.3-2.fc24                     fedora                  26 k
 oxygen-sans-fonts                            noarch                5.4.3-2.fc24                     fedora                  48 k
 oxygen-sound-theme                           noarch                5.6.5-1.fc24                     updates                1.7 M
 plasma-breeze                                x86_64                5.6.5-1.fc24                     updates                365 k
 plasma-breeze-common                         noarch                5.6.5-1.fc24                     updates                 18 M
 plasma-desktop                               x86_64                5.6.5-1.fc24                     updates                5.9 M
 plasma-integration                           x86_64                5.6.5-3.fc24                     updates                 94 k
 plasma-milou                                 x86_64                5.6.5-1.fc24                     updates                 93 k
 plasma-pa                                    x86_64                5.6.5-1.fc24                     updates                170 k
 plasma-workspace                             x86_64                5.6.5-2.fc24                     updates                6.5 M
 plasma-workspace-common                      x86_64                5.6.5-2.fc24                     updates                 33 k
 plasma-workspace-libs                        x86_64                5.6.5-2.fc24                     updates                1.3 M
 polkit-kde                                   x86_64                5.6.5-1.fc24                     updates                 82 k
 poppler-qt5                                  x86_64                0.41.0-2.fc24                    updates                171 k
 powerdevil                                   x86_64                5.6.5-1.fc24                     updates                605 k
 qt5-qtgraphicaleffects                       x86_64                5.6.1-1.fc24                     updates                471 k
 qt5-qtmultimedia                             x86_64                5.6.1-3.fc24                     updates                789 k
 qt5-qtquickcontrols                          x86_64                5.6.1-1.fc24                     updates                927 k
 qt5-qttools                                  x86_64                5.6.1-2.fc24                     updates                 45 k
 scim-libs                                    x86_64                1.4.17-1.fc24                    updates                323 k
 socat                                        x86_64                1.7.2.4-6.fc24                   fedora                 274 k
 xcb-util-cursor                              x86_64                0.1.2-3.fc24                     fedora                  19 k
 xorg-x11-apps                                x86_64                7.7-15.fc24                      fedora                 320 k
 xorg-x11-fonts-misc                          noarch                7.5-16.fc24                      fedora                 5.8 M
 xorg-x11-xbitmaps                            noarch                1.1.1-9.fc24                     fedora                  41 k

Transaction Summary
==================================================================================================================================
Install  69 Packages

Total download size: 65 M
Installed size: 173 M
Is this ok [y/N]: N
Operation aborted.

Like 200MB in size. I'll hold off on this for now, see if I can fix my issue with less components (or if you come back with some ideas). I have to spin a clean F24 and add korganizer to it, see if I can reproduce the issue, or if it does install the time zone support properly.

Thank you

Comment 8 JP Jung 2016-07-20 21:08:24 UTC
Hi,

I confirm the issue on a clean F24 (default install CD, i.e. Gnome based), did a: 
dnf install korganizer then start organizer gives:

KSystemTimeZones: ktimezoned initialize() D-Bus call failed:  "No such object path '/modules/ktimezoned'" 

No time zone information obtained from ktimezoned


Adding systemsettings5 and dependancies (dnf install plasma-systemsettings) allow to launch the KDE Control Panel, but it lacks the Startup/Shutdown entry, the display is exactly the same as the attached image "KDE System Settings screen shot".

Thank you.

Comment 9 Timothy M. Butterworth 2016-09-16 19:34:50 UTC
I have had the same problem on F24 workstation with Plasma also install and update to F25. Kalarm causes KDE to stall excessively during login.

KDE Settings show Time Zone is enabled.

DNF says there is no package ktimezoned available for install. Plasma is mostly unusable at first logon before changing all settings.

Comment 10 Timothy M. Butterworth 2016-09-16 19:36:56 UTC
Package dependencies for KDE applications and DNF group Plasma default settings are very poorly implemented.

Comment 11 Rex Dieter 2016-09-17 13:04:18 UTC
Timothy,
What you describe is different than this bug (missing ktimezoned on DE's other than plasma)

That said, if you have some constructive criticism on how to make the "Plasma is mostly unuable at first logon" situation better, I'd love to hear it.  Ideally, not in bz though, but somewhere to allow better discussion like our mailing list:
https://lists.fedoraproject.org/admin/lists/kde.lists.fedoraproject.org/

Comment 12 Fedora End Of Life 2017-07-25 21:56:00 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2017-08-08 15:44:25 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.